/*----------------------------------------------------------------------------------------------------------------------
 * Copyright(c) 2025, Mark Xu Work Studio R&D Department. All rights reserved.
 * ļ : SysConfig.h
 * ļ汾 : V1.0.0
 *  : ϵͳļ
 * Ա : Mark Xu
 *  : 2025/02/17
----------------------------------------------------------------------------------------------------------------------*/

#ifndef __SYSCONFIG_H__
#define __SYSCONFIG_H__

// <<< Use Configuration Wizard in Context Menu >>>

//----------------------------------------------------------------------------------------------------------------------
//<h> The Project information

// <s> The Hardware Version
#define HW_PCBA_VERSION             "R00"

// <s> The Firmware Version
#define FW_FIRMWARE_VERSION         "R00"

//</h>

//----------------------------------------------------------------------------------------------------------------------
//<h> The mcu peripheral config
// <q> The timer0 config
//  <i> Enable or Disable
#define DRV_TIMER0_EN					(1)		//ʱ00-ã1-ʹ

// <q> The timer1 config
//  <i> Enable or Disable
#define DRV_TIMER1_EN					(0)		//ʱ10-ã1-ʹ

// <q> The timer2 config
//  <i> Enable or Disable
#define DRV_TIMER2_EN					(0)		//ʱ20-ã1-ʹ

// <q> The pwm config
//	<i> enable or disable
#define DRV_PWM_EN						(0)		//PWMģ飬0-ã1-ʹ

// <q> The comparor config
//	<i> enable or disable
#define DRV_CMP_EN						(0)		//Ƚ 0-ã1-ʹ

// <q> The uart1 config
//  <i> Enable or Disable
#define DRV_UART1_EN					(0)		//ڣ   0-ã1-ʹ
// <q> The uart2 config
//  <i> Enable or Disable
#define DRV_UART2_EN					(0)		//ڣ   0-ã1-ʹ
// <q> The uart3 config
//  <i> Enable or Disable
#define DRV_UART3_EN					(0)		//ڣ   0-ã1-ʹ
// <q> The uart4 config
//  <i> Enable or Disable
#define DRV_UART4_EN					(0)		//ڣ   0-ã1-ʹ

// <q> The spi function 
//  <i> Enable or Disable
#define DRV_SPI_EN                   	(0)		//SPIܣ0-ֹ 1-ʹ

// <q> The RTC function 
//  <i> Enable or Disable
#define DRV_RTC_EN                   	(0)		//RTCܣ0-ֹ1-ʹ

// <q> The watchdog config
//	<i> enable or disable
#define DRV_WDT_EN						(0)		//Ź 0-ã1-ʹ
// </h>


//----------------------------------------------------------------------------------------------------------------------
//<h> The extern peripheral config
// <q> The Led function
//	<i> enable or disable
#define DEV_LED_EN						(1)
// <q> The Segmednt Led function
//	<i> enable or disable
#define DEV_SEGLED_EN					(1)
//</h>


//Ӧò
//----------------------------------------------------------------------------------------------------------------------
//<h> The function test module
// <q> The adc sample test
//  <i> Enable or Disable
#define APP_ADC_TEST_EN					(0)		//ADCԣ0-ã1-ʹ

// <q> The eeprom write and read test
//  <i> Enable or Disable
#define APP_EEPROM_TEST_EN				(0)		//eepormԣ   0-ã1-ʹ
// </h>


//Դӡ
// <e> The debug print function
//	 <i> Enable or Disable
#define APP_DEBUG_PRINT_EN				(0)		//Դܣ 0-ã1-ʹ
#if (APP_DEBUG_PRINT_EN)
	// <q> The main module debug print function
	//	<i> enable or disable
	#define MAIN_PRINT_EN				(1)		//ģ飬ӡ
	// <q> The system module debug print function
	//	<i> enable or disable
	#define SYS_PRINT_EN				(0)		//SYSģ飬 ӡ
	// <q> The charging module debug print function
	//	<i> enable or disable
	#define CHRG_PRINT_EN				(0)		//ģ飬ӡ
	// <q> The key module debug print function
	//	<i> enable or disable
	#define KEY_PRINT_EN				(0)		//ģ飬ӡ
	// <q> The led module debug print function
	//	<i> enable or disable
	#define LED_PRINT_EN				(0)		//ʾģ飬ӡ

	//Ǵ򿪺ꡰDRV_UART_ENڱʱ˴ʾ
	#if (!DRV_UART_EN)	
		#error Please enable the uart driver (set the macro "DRV_UART_EN" to 1)!!!
	#endif //#if (!DRV_UART_EN)
#else
	#define MAIN_PRINT_EN				(0)		//ģ飬ӡ
	#define SYS_PRINT_EN				(0)		//SYSģ飬 ӡ
	#define CHRG_PRINT_EN				(0)		//ģ飬ӡ
	#define KEY_PRINT_EN				(0)		//ģ飬ӡ
	#define LED_PRINT_EN				(0)		//ʾģ飬ӡ
#endif //#if (APP_DEBUG_PRINT_EN)
// </e>



// <<< end of configuration section >>> 

#endif //#ifndef __SYSCONFIG_H__


