/*----------------------------------------------------------------------------------------------------------------------
 * Copyright(c) 2025, Mark Xu Work Studio R&D Department. All rights reserved.
 * ļ : DataTypes.h
 * ļ汾 : V1.0.0
 *  : typedef the datas
 * ༭Ա : Mark
 * ༭ : 2025/02/16
----------------------------------------------------------------------------------------------------------------------*/
#ifndef __DATATYPES_H__
#define __DATATYPES_H__

//----------------------------------------------------------------------------------------------------------------------
// 궨
//----------------------------------------------------------------------------------------------------------------------
#define	TRUE				(1)
#define	FALSE				(0)

#ifndef NULL	
	#define	NULL			(0)
#endif

#define ENABLE				(1)
#define DISABLE				(0)

#define SUCCESS				(0)
#define FAIL				(-1)

#define	Priority_0			0	//жȼΪ 0 ͼ
#define	Priority_1			1	//жȼΪ 1 ϵͼ
#define	Priority_2			2	//жȼΪ 2 ϸ߼
#define	Priority_3			3	//жȼΪ 3 ߼

#define	I2C_Mode_Master		(1)
#define	I2C_Mode_Slave		(0)

#define	PIE					(0x20)	//1: ȽϽ01, ж
#define	NIE					(0x10)	//1: ȽϽ10, ½ж

#define	PWMA				(128)
#define	PWMB				(129)



//----------------------------------------------------------------------------------------------------------------------
// Ͷ
//----------------------------------------------------------------------------------------------------------------------
typedef unsigned char   	u8;     //  8 bits 8λ޷ű0-255
typedef unsigned int    	u16;    // 16 bits 16λ޷ű0-65535	
typedef unsigned long   	u32;    // 32 bits 

typedef signed char     	int8;   //  8 bits 
typedef signed int      	int16;  // 16 bits 
typedef signed long     	int32;  // 32 bits 

typedef unsigned char   	uint8;   //  8 bits 
typedef unsigned int    	uint16; // 16 bits 
typedef unsigned long   	uint32; // 32 bits 

typedef signed char     	int8_t;
typedef signed int      	int16_t;
typedef signed long     	int32_t;  // 32 bits 

typedef unsigned  char 		uint8_t;
typedef unsigned  int 		uint16_t;
typedef unsigned  long 		uint32_t;

typedef bit 				BOOL;
typedef unsigned char 		BYTE;
typedef unsigned int 		WORD;
typedef unsigned long 		DWORD;

typedef unsigned char 		uchar;
typedef unsigned int 		uint;
typedef unsigned int 		ushort;
typedef unsigned long 		ulong;

//Լϳ
typedef unsigned char 		U8;
typedef unsigned int 		U16;
typedef unsigned long 		U32;
typedef signed char     	S8;
typedef signed int      	S16;
typedef signed long     	S32;  // 32 bits 

//λ
typedef union
{
	U8 u8TickFlags;
	struct
	{
		U8 tick1ms    : 1;
		U8 tick10ms   : 1;
		U8 tick50ms   : 1;
		U8 tick100ms  : 1;
		U8 tick200ms  : 1;
		U8 tick500ms  : 1;
		U8 tick1000ms : 1;
		U8 tick2000ms : 1;
	}bits;
}u8TickBits_t;

typedef union
{
	U8 u8Dat;
	struct
	{
		U8 b0 : 1;
		U8 b1 : 1;
		U8 b2 : 1;
		U8 b3 : 1;
		U8 b4 : 1;
		U8 b5 : 1;
		U8 b6 : 1;
		U8 b7 : 1;
	}bits;
}u8Bits_t;

typedef union
{
	U16 u16Dat;
	struct
	{
		U8 b0 : 1;
		U8 b1 : 1;
		U8 b2 : 1;
		U8 b3 : 1;
		U8 b4 : 1;
		U8 b5 : 1;
		U8 b6 : 1;
		U8 b7 : 1;
        U8 b8 : 1;
		U8 b9 : 1;
		U8 b10 : 1;
		U8 b11 : 1;
		U8 b12 : 1;
		U8 b13 : 1;
		U8 b14 : 1;
		U8 b15 : 1;
	}bits;
}u16Bits_t;


#endif	//#ifndef __DATATYPES_H__
