/*----------------------------------------------------------------------------------------------------------------------
 * Copyright(c) 2024, Mark Xu Work Studio R&D Department. All rights reserved.
 * ļ : Dev_Segled.c
 * ļ汾 : V1.0.0
 *  : Ӧģ
 * Ա : Mark Xu
 *  : 2025/02/17
----------------------------------------------------------------------------------------------------------------------*/

#include "Dev_Segled.h"			

//----------------------------------------------------------------------------------------------------------------------
// ļ                                         
//----------------------------------------------------------------------------------------------------------------------
#define SEG_COM_MAX				(8)		//8λ

//----------------------------------------------------------------------------------------------------------------------
// ض                                         
//----------------------------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------------------------
//     
//----------------------------------------------------------------------------------------------------------------------
U8C segCode[] = {                       //׼ֿ
//   0    1    2    3    4    5    6    7    8    9    A    B    C    D    E    F
    0x3F,0x06,0x5B,0x4F,0x66,0x6D,0x7D,0x07,0x7F,0x6F,0x77,0x7C,0x39,0x5E,0x79,0x71,
//black  -     H    J    K    L    N    o   P    U     t    G    Q    r   M    y
    0x00,0x40,0x76,0x1E,0x70,0x38,0x37,0x5C,0x73,0x3E,0x78,0x3d,0x67,0x50,0x37,0x6e,
    0xBF,0x86,0xDB,0xCF,0xE6,0xED,0xFD,0x87,0xFF,0xEF,0x46};    //0. 1. 2. 3. 4. 5. 6. 7. 8. 9. -1

U8C segCom[SEG_COM_MAX] = {0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80};      //λ

//----------------------------------------------------------------------------------------------------------------------
// ֲ 
//----------------------------------------------------------------------------------------------------------------------
static U8  s_u8DisBuff[SEG_COM_MAX] = {1, 2, 3, 4, 5, 6, 7, 8};		//ʾ
static U8  s_u8ComLoopCnt = 0;					//ѯֵ
//----------------------------------------------------------------------------------------------------------------------
// ȫֱ 
//---------------------------------------------------------------------------------------------------------------------- 

//----------------------------------------------------------------------------------------------------------------------
// غ 
//----------------------------------------------------------------------------------------------------------------------


/*----------------------------------------------------------------------------------------------------------------------
 *  void Segled_Init(void)
 *  ܳʼ
 * ڲ 
 * ڲ 
 * ע˵ 
----------------------------------------------------------------------------------------------------------------------*/
void Segled_Init(void)
{

}


/*----------------------------------------------------------------------------------------------------------------------
 *  void HC595_SendDat(U8 i_Dat)
 *  
 * ڲ i_Dat - Ҫ8λ
 * ڲ 
 * ע˵ 
----------------------------------------------------------------------------------------------------------------------*/
void HC595_SendDat(U8 i_Dat)
{
	U8 i;
	for (i=0; i<8; i++)
	{
		if (i_Dat & 0x80)	//ȴλ	
		{
			HC595_DAT_HI();
		}
		else
		{
			HC595_DAT_LO();
		}

		i_Dat <<= 1;

		HC595_SRCLK_HI();
		HC595_SRCLK_LO();
	}
}

/*----------------------------------------------------------------------------------------------------------------------
 *  void Segled_AllOff(void)
 *  ر
 * ڲ 
 * ڲ 
 * ע˵ 
----------------------------------------------------------------------------------------------------------------------*/
void Segled_AllOff(void)
{
	U8 i = 0;
	for (i=0; i<SEG_COM_MAX; i++)
	{
		s_u8DisBuff[i] = 0x00;
	}
}

/*----------------------------------------------------------------------------------------------------------------------
 *  void Segled_PollProc(void)
 *  ѯ
 * ڲ 
 * ڲ 
 * ע˵ ÿ1msѯһ
----------------------------------------------------------------------------------------------------------------------*/
void Segled_PollProc(void)
{
    HC595_SendDat(segCode[s_u8DisBuff[s_u8ComLoopCnt]]);   //
    HC595_SendDat(~segCom[s_u8ComLoopCnt]);            	   //λ

    HC595_RCLK_HI();
    HC595_RCLK_LO();
	
    if(++s_u8ComLoopCnt >= SEG_COM_MAX)  
    {
		s_u8ComLoopCnt = 0;  //8λ0
    }
}



